#!/bin/sh

usage() {
	echo "$1"
	echo "Usage:"
	echo "$0 <device>"
	echo "where /dev/hda is C:, /dev/hdb is D:, etc"
	exit 1
}

. checks.sh

# Last chance to cancel
echo "#########################################################################"
echo "# This operation will destroy all data that were previously on the media"
echo "# $DEVICE: last chance to cancel!"
echo "#"
echo "# [yes] to confirm"
echo "# [enter] to cancel"
echo "#########################################################################"
read ANS
if [ "$ANS" = "yes" ]; then
	echo "Now proceding to initalize the media"
else
	echo "Exiting"
	exit 0
fi


# Fdisk
echo "fdisk $DEVICE ..."
fdisk $DEVICE << EOF &> /dev/null
o
n
p
1

+32M
t
c
a
1
w
q
EOF

# Format new partition
echo "mkfs.vfat ${DEVICE}1 ..."
mkfs.vfat ${DEVICE}1 &> /dev/null
