if [ `id -u` -ne 0 ]
then
        usage "You must be root to run this script."
fi

# Find the Disk On Chip
if [ "$1" == "/dev/hda" ] ; then
	DEVICE=/dev/hda
	DEV_GRUB="(hd0)"
	DEV_GRUB1="(hd0,0)"
elif [ "$1" == "/dev/hdb" ] ; then
	DEVICE=/dev/hdb
	DEV_GRUB="(hd1)"
	DEV_GRUB1="(hd1,0)"
elif [ "$1" == "/dev/hdc" ] ; then
	DEVICE=/dev/hdc
	DEV_GRUB="(hd2)"
	DEV_GRUB1="(hd2,0)"
elif [ "$1" == "/dev/hdd" ] ; then
	DEVICE=/dev/hdd
	DEV_GRUB="(hd3)"
	DEV_GRUB1="(hd3,0)"
fi

if [ -z $DEVICE ]; then
	usage "Cannot find Disk On Chip or Hard Disk on \"$1\""
fi
